~glacambre/firenvim

firenvim/package.json -rw-r--r-- 1.7 KiB
04a63aecglacambre package.json: bump version 0.1.30 -> 0.1.31 14 hours ago
                                                                                
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
{
  "author": "glacambre",
  "dependencies": {
    "@types/jest": "26.0.14",
    "@types/msgpack-lite": "0.1.7",
    "@types/node": "14.11.1",
    "@types/selenium-webdriver": "4.0.9",
    "ace-builds": "^1.4.12",
    "codemirror": "^5.57.0",
    "copy-webpack-plugin": "6.1.1",
    "geckodriver": "1.20.0",
    "imports-loader": "^1.1.0",
    "jest": "25.5.4",
    "monaco-editor": "^0.20.0",
    "msgpack-lite": "0.1.26",
    "selenium-webdriver": "4.0.0-alpha.7",
    "sharp": "0.26.0",
    "ts-jest": "25.5.1",
    "ts-loader": "^8.0.3",
    "tslint": "6.1.3",
    "typescript": "3.9.7",
    "web-ext": "5.0.0",
    "web-ext-types": "3.2.1",
    "webextension-polyfill": "0.6.0",
    "webpack": "4.44.2",
    "webpack-cli": "3.3.12"
  },
  "description": "Turn your browser into a Neovim GUI.",
  "keywords": [
    "chrome",
    "chromium",
    "firefox",
    "nvim",
    "vim",
    "webext",
    "webextension"
  ],
  "license": "GPL-3.0",
  "name": "Firenvim",
  "scripts": {
    "build": "tslint --fix --project . && webpack && web-ext build --source-dir target/firefox --artifacts-dir target/xpi --overwrite-dest",
    "clean": "rm -rf target",
    "install_manifests": "nvim --headless -u NORC -i NONE -n -c \":set rtp+=.\" -c \"call firenvim#install(1)\" -c \"quit\"",
    "jest": "jest",
    "pack": "web-ext build --source-dir target/firefox --artifacts-dir target/xpi --overwrite-dest",
    "test": "webpack --env=testing && web-ext build --source-dir target/firefox --artifacts-dir target/xpi --overwrite-dest && jest",
    "webpack": "webpack"
  },
  "jest": {
    "testRegex": "/tests/[^_].*\\.(jsx?|tsx?)$",
    "transform": {
      "^.+\\.tsx?$": "ts-jest"
    },
    "moduleFileExtensions": [
      "json",
      "js",
      "ts"
    ]
  },
  "version": "0.1.31"
}